[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#455730: ITP: lua-peg -- Parsing Expression Grammars For Lua

On Thu, Dec 13, 2007 at 04:17:48PM +0900, Miles Bader wrote:
> Stefano Zacchiroli <zack@debian.org> writes:
> >> I think it's going to cause a lot of confusion if you call this package
> >> "lua-peg" -- _everybody_ knows it as "lpeg"...
> >
> > Hence, I guess, the proposed name would be "lua-lpeg", right?
> That seems best...  The crucial thing, I think, is that somebody
> searching for "lpeg" finds it.

Yes, it is in the new queue as lua-lpeg, and the package description
contains LPeg too. Binary packages will be liblua5.1-lpeg0 and
liblua5.1-lpeg-dev and the lua module will be loadable with 

  require "lpeg"

If you are inpatient, or want to test it before it passes the new queue,
you can use the following svn repository: 

  svn co svn://svn.debian.org/pkg-lua/packages/lua-lpeg

Enrico Tassi

Reply to: